﻿#language: ru

Функционал: Закрытие смены. ПАЦ

Сценарий: Закрытие смены. ПАЦ
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текст '12.03.2019'
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Смена24'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку с подчиненными:
		| 'Вид РЦ / РЦ' |
		| 'ПАЦ'         |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'ПАЦ'         | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И из выпадающего списка "ОстаткиВсеСтраницаОстатки" я выбираю точное значение 'Материалы'
	И в таблице "ДеревоОстаткиМатериалы" я разворачиваю строку:
		| 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' |
		| '1 250,000'                   | '1 250,000'         | 'Танк №1'                             |
	И в таблице "ДеревоОстаткиМатериалы" я разворачиваю строку:
		| 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' |
		| '1 250,000'                   | '1 250,000'         | '<ячейки не используются>'            |
	И в таблице "ДеревоОстаткиМатериалы" я перехожу к строке:
		| 'Ед. изм.' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | 'Молоко'                              |
	И я нажимаю на кнопку с именем 'КомандаУказатьОстатокОстаткиМатериалы'
	Тогда открылось окно 'Укажите общий остаток:'
	И в поле 'Количество' я ввожу текст '20,000'
	И я нажимаю кнопку выбора у поля "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Показатели МДЖ МДБ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Укажите общий остаток:'
	И в таблице "ПоказателиАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "ПоказателиАнализов" в поле 'Значение' я ввожу текст '3,100'
	И в таблице "ПоказателиАнализов" я завершаю редактирование строки
	И в таблице "ПоказателиАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "ПоказателиАнализов" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "ПоказателиАнализов" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я жду доступности элемента с именем 'КомандаСписатьОстаткиМатериалы' в течение 10 секунд
	И в таблице "ДеревоОстаткиМатериалы" я перехожу к строке:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' | 'Характеристика'    |
		| 'кг'       | '1 270,000'                   | '1 270,000'         | 'Молоко'                              | '<не используются>' |
	И в таблице "ДеревоОстаткиМатериалы" я разворачиваю текущую строку
	И в таблице "ДеревоОстаткиМатериалы" я перехожу к строке по шаблону:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | '625,000'                     | '625,000'           | '010000045345354345345 до *'          |
	И я нажимаю на кнопку с именем 'КомандаСписатьОстаткиМатериалы'
	Тогда открылось окно 'Списать'
	И таблица "СписываемыеПартии" стала равной по шаблону:
		| 'Номенклатура'                        | 'Остаток' | 'Количество' |
		| 'Молоко / 010000045345354345345 до *' | ''        | '625,000'    |
	И из выпадающего списка "Вариант распределения" я выбираю точное значение 'По отраслевой методике'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И в таблице "ДеревоОстаткиМатериалы" я перехожу к строке по шаблону:
		| 'Ед. изм.' | 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' |
		| 'кг'       | '625,000'                     | '625,000'           | '01000056969878767 до *'              |
	И я нажимаю на кнопку с именем 'КомандаСписатьОстаткиМатериалы'
	Тогда открылось окно 'Списать'
	И из выпадающего списка "Вариант распределения" я выбираю точное значение 'По отраслевой методике'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Баланс"
	И я нажимаю на кнопку 'Свести баланс'
	И в таблице "ДеревоРабочиеЦентры" я активизирую поле "Статус"
	И я нажимаю на кнопку 'Закрыть'
	И в таблице "ДеревоРабочиеЦентры" поле "Статус" имеет значение "Закрыта"
	И Я закрываю окно 'Рабочее место мастера смены*'

Сценарий: Проверка отсутствия документа Акт переработки
	И В командном интерфейсе я выбираю 'Производство' 'Закрытия смен'
	Тогда открылось окно 'Закрытия смен'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Ответственный'  | 'Рабочий центр' | 'Смена'   | 'Способ создания' | 'Статус смены' |
		| '12.03.2019' | 'Мастер сырцеха' | 'ПАЦ'           | 'Смена24' | 'Закрытие смены'  | 'Закрыта'      |
	И я нажимаю на кнопку 'Связанные документы'
	Тогда открылось окно 'Связанные документы*'
	И в табличном документе "ТаблицаОтчета" ячейка с адресом "R2C3" равна ''
	И Я закрываю окно 'Связанные документы*'
	Тогда открылось окно 'Закрытия смен'
	И я закрываю окно 'Закрытия смен'